debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: GeForce 7600 GS  (Прочитано 838 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн phantom85

  • Topic Author
  • Сообщений: 90
  • Начинающий
GeForce 7600 GS
« : 27 Январь 2017, 15:27:46 »
Всем привет. Не могу установить дрова на GeForce 7600 GS. После всех попыток на вики слетают иксы.
uname -a

Linux local 3.16.0-4-686-pae #1 SMP Debian 3.16.39-1 (2016-12-30) i686 GNU/Linux


lspci

00:00.0 Host bridge: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub (rev 81)
00:01.0 PCI bridge: Intel Corporation 82945G/GZ/P/PL PCI Express Root Port (rev 81)
00:1d.0 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #1 (rev 01)
00:1d.1 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #2 (rev 01)
00:1d.2 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #3 (rev 01)
00:1d.3 USB controller: Intel Corporation NM10/ICH7 Family USB UHCI Controller #4 (rev 01)
00:1d.7 USB controller: Intel Corporation NM10/ICH7 Family USB2 EHCI Controller (rev 01)
00:1e.0 PCI bridge: Intel Corporation 82801 PCI Bridge (rev e1)
00:1e.2 Multimedia audio controller: Intel Corporation 82801G (ICH7 Family) AC'97 Audio Controller (rev 01)
00:1f.0 ISA bridge: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge (rev 01)
00:1f.1 IDE interface: Intel Corporation 82801G (ICH7 Family) IDE Controller (rev 01)
00:1f.2 IDE interface: Intel Corporation NM10/ICH7 Family SATA Controller [IDE mode] (rev 01)
00:1f.3 SMBus: Intel Corporation NM10/ICH7 Family SMBus Controller (rev 01)
01:00.0 VGA compatible controller: NVIDIA Corporation G73 [GeForce 7600 GS] (rev a1)
02:04.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8169 PCI Gigabit Ethernet Controller (rev 10)

Пользуемся тегами, ogost
« Последнее редактирование: 29 Январь 2017, 12:36:18 от phantom85 »
Linux 3.12-0.bpo.1-amd64 #1 SMP Debian 3.12.9-1~bpo70+1 (2014-02-07) x86_64 GNU/Linux
 

Оффлайн ogost

  • Сообщений: 2596
  • Linux Registered User #547151
Re: GeForce 7600 GS
« Ответ #1 : 27 Январь 2017, 16:19:08 »
Уточните, какой драйвер ставили? Открытый или проприетарный.
Так же посмотрите логи иксов на предмет ошибок, находятся либо в /var/log/Xorg.0.log, либо в ~/.xsession-errors
Так же на будущее посмотрите здесь

Оффлайн phantom85

  • Topic Author
  • Сообщений: 90
  • Начинающий
Re: GeForce 7600 GS
« Ответ #2 : 27 Январь 2017, 16:23:01 »
Linux 3.12-0.bpo.1-amd64 #1 SMP Debian 3.12.9-1~bpo70+1 (2014-02-07) x86_64 GNU/Linux
 

Оффлайн amd_amd

  • Сообщений: 269
  • jessie jwm & stretch jwm
Re: GeForce 7600 GS
« Ответ #3 : 27 Январь 2017, 16:31:08 »
есть такой скрипт в репе nvidia-detect, если его установить и скомандовать nvidia-detect выдаст инфу по вашей видео карте и рекомендуемые драйвера для нее, то что порекомендовал nvidia-detect будет работать обязательно...
 

Оффлайн phantom85

  • Topic Author
  • Сообщений: 90
  • Начинающий
Re: GeForce 7600 GS
« Ответ #4 : 27 Январь 2017, 16:39:37 »
Detected NVIDIA GPUs:
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation G73 [GeForce 7600 GS] [10de:0392] (rev a1)
Your card is only supported up to the 304 legacy drivers series.
It is recommended to install the
    nvidia-legacy-304xx-driver
package.

вот его и ставил всё равно никак
Linux 3.12-0.bpo.1-amd64 #1 SMP Debian 3.12.9-1~bpo70+1 (2014-02-07) x86_64 GNU/Linux
 

Оффлайн Udachnik

  • Сообщений: 1430
Re: GeForce 7600 GS
« Ответ #5 : 27 Январь 2017, 20:52:56 »
Выполни # nvidia-xconfig
 

Оффлайн Udachnik

  • Сообщений: 1430
Re: GeForce 7600 GS
« Ответ #6 : 27 Январь 2017, 20:54:26 »
Ну и конечно лог установки покажи
 

Оффлайн phantom85

  • Topic Author
  • Сообщений: 90
  • Начинающий
Re: GeForce 7600 GS
« Ответ #7 : 28 Январь 2017, 17:59:54 »
Выполни # nvidia-xconfig
вот как раз после этого и не могу загрузить иксы
Linux 3.12-0.bpo.1-amd64 #1 SMP Debian 3.12.9-1~bpo70+1 (2014-02-07) x86_64 GNU/Linux
 

Оффлайн ihammers

  • Сообщений: 1668
  • Debian GNU/Linux Stretch
    • Алтайская Группа Пользователей Linux
  • Jabber: ihammers@jabber.ru
Re: GeForce 7600 GS
« Ответ #8 : 29 Январь 2017, 11:46:58 »
вот как раз после этого и не могу загрузить иксы
А что логи говорят? Есть ли возможность их достать?
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64,
LXQt/KDE/OpenBox AMD Phenon X4 / 16Gb RAM / ATI HD7750 Silent
_______________________________
Debian GNU/Linux Stretch, kernel 4.9.0-5-amd64, LXQt/KDE/OpenBox
Acer Aspire One 722 AMD C60 / 4Gb RAM / ATI HD6290
 

Оффлайн VKH

  • Сообщений: 137
Re: GeForce 7600 GS
« Ответ #9 : 29 Январь 2017, 12:21:26 »
 

Оффлайн phantom85

  • Topic Author
  • Сообщений: 90
  • Начинающий
Re: GeForce 7600 GS
« Ответ #10 : 29 Январь 2017, 12:40:15 »
Linux 3.12-0.bpo.1-amd64 #1 SMP Debian 3.12.9-1~bpo70+1 (2014-02-07) x86_64 GNU/Linux
 

Оффлайн phantom85

  • Topic Author
  • Сообщений: 90
  • Начинающий
Re: GeForce 7600 GS
« Ответ #11 : 30 Январь 2017, 14:17:07 »
[  4829.027]
X.Org X Server 1.12.4
Release Date: 2012-08-27
[  4829.028] X Protocol Version 11, Revision 0
[  4829.028] Build Operating System: Linux 3.2.0-4-amd64 i686 Debian
[  4829.029] Current Operating System: Linux local 3.2.0-4-686-pae #1 SMP Debian 3.2.84-1 i686
[  4829.029] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-4-686-pae root=UUID=38629bdc-d73b-45d9-9264-1c75ffab40b9 ro quiet
[  4829.029] Build Date: 09 February 2015  10:12:47AM
[  4829.030] xorg-server 2:1.12.4-6+deb7u6 (Julien Cristau <jcristau@debian.org>)
[  4829.030] Current version of pixman: 0.26.0
[  4829.031]    Before reporting problems, check http://wiki.x.org
   to make sure that you have the latest version.
[  4829.031] Markers: (--) probed, (**) from config file, (==) default setting,
   (++) from command line, (!!) notice, (II) informational,
   (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  4829.033] (==) Log file: "/var/log/Xorg.0.log", Time: Mon Jan 30 13:10:38 2017
[  4829.034] (==) Using config directory: "/etc/X11/xorg.conf.d"
[  4829.035] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  4829.035] (==) ServerLayout "Layout0"
[  4829.035] (**) |-->Screen "Screen0" (0)
[  4829.035] (**) |   |-->Monitor "Monitor0"
[  4829.036] (**) |   |-->Device "Device0"
[  4829.036] (**) |-->Input Device "Keyboard0"
[  4829.036] (**) |-->Input Device "Mouse0"
[  4829.036] (==) Automatically adding devices
[  4829.036] (==) Automatically enabling devices
[  4829.036] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[  4829.036]    Entry deleted from font path.
[  4829.036] (WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
[  4829.036]    Entry deleted from font path.
[  4829.036] (==) FontPath set to:
   /usr/share/fonts/X11/misc,
   /usr/share/fonts/X11/100dpi/:unscaled,
   /usr/share/fonts/X11/75dpi/:unscaled,
   /usr/share/fonts/X11/Type1,
   /usr/share/fonts/X11/100dpi,
   /usr/share/fonts/X11/75dpi,
   built-ins
[  4829.036] (==) ModulePath set to "/usr/lib/xorg/modules"
[  4829.036] (WW) Hotplugging is on, devices using drivers 'kbd', 'mouse' or 'vmmouse' will be disabled.
[  4829.036] (WW) Disabling Keyboard0
[  4829.036] (WW) Disabling Mouse0
[  4829.036] (II) Loader magic: 0xb77905a0
[  4829.036] (II) Module ABI versions:
[  4829.036]    X.Org ANSI C Emulation: 0.4
[  4829.036]    X.Org Video Driver: 12.1
[  4829.036]    X.Org XInput driver : 16.0
[  4829.036]    X.Org Server Extension : 6.0
[  4829.037] (--) PCI:*(0:1:0:0) 10de:0392:1462:0622 rev 161, Mem @ 0xfd000000/16777216, 0xd0000000/268435456, 0xfc000000/16777216, I/O @ 0x0000bc00/128, BIOS @ 0x????????/131072
[  4829.038] (II) Open ACPI successful (/var/run/acpid.socket)
[  4829.038] (II) LoadModule: "extmod"
[  4829.039] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[  4829.040] (II) Module extmod: vendor="X.Org Foundation"
[  4829.040]    compiled for 1.12.4, module version = 1.0.0
[  4829.040]    Module class: X.Org Server Extension
[  4829.040]    ABI class: X.Org Server Extension, version 6.0
[  4829.040] (II) Loading extension SELinux
[  4829.040] (II) Loading extension MIT-SCREEN-SAVER
[  4829.040] (II) Loading extension XFree86-VidModeExtension
[  4829.040] (II) Loading extension XFree86-DGA
[  4829.040] (II) Loading extension DPMS
[  4829.040] (II) Loading extension XVideo
[  4829.040] (II) Loading extension XVideo-MotionCompensation
[  4829.040] (II) Loading extension X-Resource
[  4829.040] (II) LoadModule: "dbe"
[  4829.041] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[  4829.041] (II) Module dbe: vendor="X.Org Foundation"
[  4829.041]    compiled for 1.12.4, module version = 1.0.0
[  4829.041]    Module class: X.Org Server Extension
[  4829.041]    ABI class: X.Org Server Extension, version 6.0
[  4829.041] (II) Loading extension DOUBLE-BUFFER
[  4829.041] (II) LoadModule: "glx"
[  4829.041] (II) Loading /usr/lib/xorg/modules/linux/libglx.so
[  4829.088] (II) Module glx: vendor="NVIDIA Corporation"
[  4829.088]    compiled for 4.0.2, module version = 1.0.0
[  4829.088]    Module class: X.Org Server Extension
[  4829.088] (II) NVIDIA GLX Module  304.131  Sun Nov  8 22:05:17 PST 2015
[  4829.089] (II) Loading extension GLX
[  4829.089] (II) LoadModule: "record"
[  4829.089] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[  4829.089] (II) Module record: vendor="X.Org Foundation"
[  4829.089]    compiled for 1.12.4, module version = 1.13.0
[  4829.089]    Module class: X.Org Server Extension
[  4829.089]    ABI class: X.Org Server Extension, version 6.0
[  4829.089] (II) Loading extension RECORD
[  4829.090] (II) LoadModule: "dri"
[  4829.090] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[  4829.091] (II) Module dri: vendor="X.Org Foundation"
[  4829.091]    compiled for 1.12.4, module version = 1.0.0
[  4829.091]    ABI class: X.Org Server Extension, version 6.0
[  4829.091] (II) Loading extension XFree86-DRI
[  4829.091] (II) LoadModule: "dri2"
[  4829.091] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[  4829.092] (II) Module dri2: vendor="X.Org Foundation"
[  4829.092]    compiled for 1.12.4, module version = 1.2.0
[  4829.092]    ABI class: X.Org Server Extension, version 6.0
[  4829.092] (II) Loading extension DRI2
[  4829.092] (II) LoadModule: "nvidia"
[  4829.092] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[  4829.093] (II) Module nvidia: vendor="NVIDIA Corporation"
[  4829.093]    compiled for 4.0.2, module version = 1.0.0
[  4829.093]    Module class: X.Org Video Driver
[  4829.852] (EE) NVIDIA: Failed to load the NVIDIA kernel module. Please check your
[  4829.852] (EE) NVIDIA:     system's kernel log for additional error messages.
[  4829.852] (II) UnloadModule: "nvidia"
[  4829.852] (II) Unloading nvidia
[  4829.853] (EE) Failed to load module "nvidia" (module-specific error, 0)
[  4829.853] (EE) No drivers available.
[  4829.854]
Fatal server error:
[  4829.854] no screens found
[  4829.856]
Please consult the The X.Org Foundation support
    at http://wiki.x.org
 for help.
[  4829.857] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  4829.857]
Linux 3.12-0.bpo.1-amd64 #1 SMP Debian 3.12.9-1~bpo70+1 (2014-02-07) x86_64 GNU/Linux
 

Оффлайн VKH

  • Сообщений: 137
Re: GeForce 7600 GS
« Ответ #12 : 31 Январь 2017, 10:53:49 »
Попробуйте в грабе прописать nomodeset.
Eсли не помогло, то:
Вроде система пытается задействовать как pci карту, а у вас agp разъем. Нужен еще выхлоп syslog. В указанной вами инструкции
Цитировать
Все вышеперечисленные версии доступны только для архитектур x86 и x86-64 (Debian i386 и AMD64 порты соответственно)
!? Поэтому в той вики нужно в списке поддерживаемых устройств сравнить с вашей картой. И какой аргумент в пользу i686?
« Последнее редактирование: 31 Январь 2017, 12:00:39 от VKH »
 

Оффлайн phantom85

  • Topic Author
  • Сообщений: 90
  • Начинающий
Re: GeForce 7600 GS
« Ответ #13 : 31 Январь 2017, 12:00:06 »
Проблема решилась установкой debian 7 всё запустилось и работает.
Linux 3.12-0.bpo.1-amd64 #1 SMP Debian 3.12.9-1~bpo70+1 (2014-02-07) x86_64 GNU/Linux
 

Оффлайн VKH

  • Сообщений: 137
Re: GeForce 7600 GS
« Ответ #14 : 31 Январь 2017, 12:11:30 »
Скорее всего связано с недостаточной поддержкой пакетов для i686 на последних версиях дистрибутивов и не только в Debian.
 

Теги: